package com.ozacc.mail.impl;

import junit.framework.TestCase;

import org.apache.log4j.BasicConfigurator;

import com.ozacc.mail.Mail;

/**
 * SendMailImplクラスのテストケース。実際に送信し、メーラーで受信して確認するテストです。
 * 
 * @author Tomohiro Otsuka
 * @version $Id: SendMailImplRealTest.java,v 1.1 2004/09/10 07:35:37 otsuka Exp $
 */
public class SendMailImplRealTest extends TestCase {

	private SendMailImpl sendMail;

	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();

		BasicConfigurator.configure();

		String host = "192.168.0.10";
		sendMail = new SendMailImpl(host);
	}

	/**
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		BasicConfigurator.resetConfiguration();
	}

	/**
	 * <code>to</code>を実際に受信可能なアドレスに変えてテストすること。
	 * 
	 * @throws Exception
	 */
	/*
	 public void testSendMail() throws Exception {
	 String to = "to@example.com";

	 String from = "from@example.com";
	 String fromName = "差出人";

	 String subject = "渡辺謙が全面勝訴！財産分与もなし";
	 String text = "俳優の渡辺謙（44）が、無断で巨額の借金をされていたとして、夫人の由美子さん（44）との離婚を求めていた民事訴訟で、東京地裁は９日、渡辺の言い分をほぼ全面的に認め、２人に離婚するよう言い渡した。渡辺から由美子さんへの財産分与も必要ないとした。だが、“裁きの場”に２人の姿はなく、代理人を通じコメントを発表するにとどまった。\n\n昨年12月に始まった長い離婚裁判の判決言い渡しは、わずか約３分間で終わった。河村吉晃裁判長は「２人は離婚すること」と命じ、由美子さんが望んでいた財産分与についても必要なしとした。\n\n財産分与を認めなかった背景には河村裁判長が「両者の間に分与するような財産は既にない」との判断を下したこともある。実際、由美子さんが渡辺名義で行った借金の返済によって、渡辺の預貯金は底を突き、自宅も失った状態だ。\n\nだが、もともと俳優としての評価が高かったうえ、「ラスト・サムライ」で世界的名声も得たことから、前途は洋々。これを理由に、まだ自分名義で１億円以上の借金があるという由美子さんは財産の分与を求めたが、認められなかった。";

	 Mail mail = new Mail();
	 mail.setFrom(from, fromName);
	 mail.addTo(to);
	 mail.setSubject(subject);
	 mail.setText(text);

	 sendMail.send(mail);
	 }
	 */

	/**
	 * テストケースがひとつもないとエラーになるので、ダミー。
	 */
	public void testSendMailSuccess() {
		Mail mail;
		assertTrue(true);
	}

}